package com.unipi.talepis.protalandroid6;

import android.app.Service;
import android.content.Intent;
import android.media.Ringtone;
import android.media.RingtoneManager;
import android.net.Uri;
import android.os.IBinder;
import android.support.annotation.IntDef;
import android.support.v4.content.LocalBroadcastManager;
import android.widget.Toast;

public class MyService extends Service {
    public MyService() {
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {

        playringtone();
        Toast.makeText(getApplicationContext(),"Service Started",Toast.LENGTH_SHORT).show();
        sendBroadcastMessage("Efthimios Alepis");
        return super.onStartCommand(intent, flags, startId);
    }

    @Override
    public void onDestroy() {
        Toast.makeText(getApplicationContext(),"Service Destroyed",Toast.LENGTH_SHORT).show();
        super.onDestroy();
    }

    @Override
    public IBinder onBind(Intent intent) {
        // TODO: Return the communication channel to the service.
        throw new UnsupportedOperationException("Not yet implemented");
    }
    public void playringtone(){
        Uri notification = RingtoneManager.getDefaultUri(RingtoneManager.TYPE_NOTIFICATION);
        Ringtone r = RingtoneManager.getRingtone(getApplicationContext(),notification);
        r.play();
    }
    private void sendBroadcastMessage(String s){
        Intent intent = new Intent("MyServiceBroadcast");
        intent.putExtra("mykey",s);
        LocalBroadcastManager.getInstance(this).sendBroadcast(intent);
    }
}